package com.hzya.frame.sysnew.buttonConfig.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 按钮配置表(SysButtonConfig)实体类
 *
 * @author makejava
 * @since 2024-03-26 15:23:01
 */
public class SysButtonConfigEntity extends BaseEntity {
 
  /**  按钮编码 */
   private String code;
  /**  中文名称 */
   private String nameCh;
  /**  英文名称 */
   private String nameEn;
  /**  所属菜单ID */
   private String menuId;
  /**  图标 */
   private String iconName;
  /**  样式 */
   private String styles;
  /**  按钮事件 */
   private String btnFunction;
  /**  按钮备注 */
   private String remark;
  /**  公司id */
   private String companyId;
  /**  公司id */
   private String userId;

    /**
     * 是否选中
     */
    private boolean check;
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getNameCh() {
        return nameCh;
    }

    public void setNameCh(String nameCh) {
        this.nameCh = nameCh;
    }

    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    public String getMenuId() {
        return menuId;
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    public String getIconName() {
        return iconName;
    }

    public void setIconName(String iconName) {
        this.iconName = iconName;
    }

    public String getStyles() {
        return styles;
    }

    public void setStyles(String styles) {
        this.styles = styles;
    }

    public String getBtnFunction() {
        return btnFunction;
    }

    public void setBtnFunction(String btnFunction) {
        this.btnFunction = btnFunction;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public boolean isCheck() {
        return check;
    }

    public void setCheck(boolean check) {
        this.check = check;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }
}

